import {
  a,
  c as n
} from "./chunk-IO47FP3U.js";

// ../node_modules/refractor/lang/arff.js
var i = n((s, e) => {
  e.exports = t;
  t.displayName = "arff";
  t.aliases = [];
  function t(r) {
    r.languages.arff = {
      comment: /%.*/,
      string: {
        pattern: /(["'])(?:\\.|(?!\1)[^\\\r\n])*\1/,
        greedy: !0
      },
      keyword: /@(?:attribute|data|end|relation)\b/i,
      number: /\b\d+(?:\.\d+)?\b/,
      punctuation: /[{},]/
    };
  }
  a(t, "arff");
});

export {
  i as a
};
